Loading...
Searching...
No Matches
RDKit::EnumerateStereoisomers::StereoEnumerationOptions Struct Reference

`#include <EnumerateStereoisomers.h>`

## Public Attributes

bool | tryEmbedding {false}
bool | onlyUnassigned {true}
bool | onlyStereoGroups {false}
bool | unique {true}
std::uint64_t | maxIsomers {0}
int | randomSeed {-1}

## Detailed Description

Definition at line 32 of file EnumerateStereoisomers.h.

## Member Data Documentation

## maxIsomers

std::uint64_t RDKit::EnumerateStereoisomers::StereoEnumerationOptions::maxIsomers {0}

Definition at line 50 of file EnumerateStereoisomers.h.

## onlyStereoGroups

bool RDKit::EnumerateStereoisomers::StereoEnumerationOptions::onlyStereoGroups {false}

Definition at line 45 of file EnumerateStereoisomers.h.

## onlyUnassigned

bool RDKit::EnumerateStereoisomers::StereoEnumerationOptions::onlyUnassigned {true}

Definition at line 41 of file EnumerateStereoisomers.h.

## randomSeed

int RDKit::EnumerateStereoisomers::StereoEnumerationOptions::randomSeed {-1}

Definition at line 58 of file EnumerateStereoisomers.h.

## tryEmbedding

bool RDKit::EnumerateStereoisomers::StereoEnumerationOptions::tryEmbedding {false}

Definition at line 33 of file EnumerateStereoisomers.h.

## unique

bool RDKit::EnumerateStereoisomers::StereoEnumerationOptions::unique {true}

Definition at line 48 of file EnumerateStereoisomers.h.

The documentation for this struct was generated from the following file:

- EnumerateStereoisomers.h